\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Intersecting Sequences of dD Iso-oriented Boxes

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Classes | Enumerations
CGAL::Box_intersection_d Namespace Reference

## Classes
class | Box_d
| `Box_d` is a generic iso-oriented bounding box in dimension \( D\). More...
class | Box_traits_d
| This is the default traits class for the intersection algorithms for iso-oriented boxes. More...
class | Box_with_handle_d
| `Box_with_handle_d` is a generic iso-oriented bounding box in dimension \( D\) that stores additionally a handle to some underlying geometric object. More...

## Enumerations
enum | Setting { COMPLETE, BIPARTITE }
enum | Topology { HALF_OPEN, CLOSED }

## Enumeration Type Documentation

enum CGAL::Box_intersection_d::Setting

Enumerator
COMPLETE |
BIPARTITE |

enum CGAL::Box_intersection_d::Topology

Enumerator
HALF_OPEN |
CLOSED |